Skip to main content
GET
/
v1
/
connections
List connections
const options = {
  method: 'GET',
  headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};

fetch('https://api.runmorph.dev/v1/connections', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
  --url https://api.runmorph.dev/v1/connections \
  --header 'x-api-key: <api-key>' \
  --header 'x-api-secret: <api-key>'
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runmorph.dev/v1/connections"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<api-key>")
	req.Header.Add("x-api-secret", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.runmorph.dev/v1/connections",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "x-api-key: <api-key>",
    "x-api-secret: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
import requests

url = "https://api.runmorph.dev/v1/connections"

headers = {
    "x-api-key": "<api-key>",
    "x-api-secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.get("https://api.runmorph.dev/v1/connections")
  .header("x-api-key", "<api-key>")
  .header("x-api-secret", "<api-key>")
  .asString();
{
  "data": [
    {
      "connectorId": "<string>",
      "ownerId": "<string>",
      "operations": [
        "<string>"
      ],
      "status": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "object": "connection"
    }
  ],
  "next": "<string>",
  "object": "list"
}
{
  "message": ""
}

Authorizations

x-api-key
string
header
required
x-api-secret
string
header
required

Query Parameters

limit
default:50
cursor
string
q
string

Query parameter that accepts a raw query string and auto-detects and parses emails, phone numbers (E.164), URLs, domains, and ISO dates

filters
object
fields

Response

OK

data
object[]
required
next
string | null
required
object
string
default:list